NodeJS – Issues

1.     SSL Error: SELF_SIGNED_CERT_IN_CHAIN

When you try to install nodeJs packages like expressJS via package.json you may stuck up with this error. This is due to the fact that you are using an older version of npm and npm no longer supports its self-signed certificates.

To fix this

Solution 1.  

you can either upgrade your npm (it is what i did) using following command

npm install npm -g –ca=null

Solution 2

Or you can tell the npm to use existing registrars as below.

npm config set ca=””


 

 

 


					
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s